Get Parent Orders Detail
Get Parent Orders Detail
Path Parameters
id Id required
Query Parameters
parentOrderId Parentorderid required
transactionType Transactiontype required
Responses
- 200
- 422
Successful Response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
reqId Reqid
errors object[]
errorType Errortype
Error Type
errorMessage Errormessage
Error Message
data object
orderId Orderid
parentOrderId Parentorderid
transactionType Transactiontype
productName Productname
manufacturerName Manufacturername
switchToStrategy Switchtostrategy
frequency Frequency
installmentPaid Installmentpaid
installmentPending Installmentpending
status Status
startDate Startdate
endDate Enddate
isPrepetual Isprepetual
childOrderDetails object[]
orderId Orderid
orderDate Orderdate
status Status
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"orderId": 0,
"parentOrderId": 0,
"transactionType": "string",
"productName": "string",
"manufacturerName": "string",
"switchToStrategy": "string",
"frequency": "string",
"installmentPaid": "string",
"installmentPending": "string",
"status": "string",
"startDate": "string",
"endDate": "string",
"isPrepetual": "string",
"childOrderDetails": [
{
"orderId": 0,
"orderDate": "string",
"status": "string"
}
]
}
}
Validation Error
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
oneOf
MOD1
MOD2
string
integer
msg Message required
type Error Type required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}
Loading...